Draft Join: Difference between revisions

From FreeCAD Documentation
(Removed Options)
(Updated Notes)
Line 26: Line 26:


<!--T:3-->
<!--T:3-->
The {{Button|[[Image:Draft Join.svg|16px]] [[Draft_Join|Draft Join]]}} tool attempts to join all selected [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire.
The {{Button|[[Image:Draft Join.svg|16px]] [[Draft_Join|Draft Join]]}} tool attempts to join all selected [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] into a single wire. This command is the counterpart of the [[Draft_Split|Draft Split]] command.


==Usage== <!--T:4-->
==Usage== <!--T:4-->
Line 40: Line 40:


<!--T:14-->
<!--T:14-->
* To join objects that are not [[Draft_Line|Draft Lines]] or [[Draft_Wire|Draft Wires]] you can try using {{Button|[[Image:Draft_Upgrade.svg|16px]] [[Draft_Upgrade|Draft Upgrade]]}} on them one or more times first.
* [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]] can also be joined with the [[Draft_Wire|Draft Wire]] command or the [[Draft_Upgrade|Draft Upgrade]] command.
* To join objects that are not [[Draft_Line|Draft Lines]] or [[Draft_Wire|Draft Wires]] you can try using [[Draft_Upgrade|Draft Upgrade]] and/or [[Draft_Downgrade|Draft Downgrade]] on them one or more times first.
* The counterpart to this tool is the {{Button|[[Image:Draft Split.svg|16px]] [[Draft_Split|Draft Split]]}} operation.


==Scripting== <!--T:26-->
==Scripting== <!--T:26-->

Revision as of 10:42, 10 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Join

Menu location
Modification → Join
Workbenches
Draft, Arch
Default shortcut
J O
Introduced in version
0.18
See also
Draft Split

Description

The Draft Join tool attempts to join all selected Draft Lines and Draft Wires into a single wire. This command is the counterpart of the Draft Split command.

Usage

  1. Select two or more lines or wires that you wish to join together.
  2. Press the Draft Join button or press J then O keys.

If the open end of a wire in your selection coincides with the open end of another wire in your selection, they will be joined into a single wire. The properties of the first wire in your selection will remain and the rest of the objects will be deleted.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To join wires use the join_wires method (introduced in version 0.19) of the Draft module. This methods replaces the deprecated joinWires method. This method returns None.

join_wires(wires)
  • wires is a list of wire objects to be joined.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()